6.0.0-git
2019-05-19

[#9041] Drag folders is not working on IE
Summary Drag folders is not working on IE
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester goncalo.queiros (at) portugalmail (dot) net
Created 2010-05-18 (3288 days ago)
Due
Updated 2010-09-07 (3176 days ago)
Assigned 2010-06-04 (3271 days ago)
Resolved 2010-09-07 (3176 days ago)
Milestone 5
Patch Yes

History
2010-09-07 05:44:57 Michael Slusarz State ⇒ Resolved
 
2010-09-07 05:44:47 Git Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

Fix Bug #9041
Correctly determine folder diff when folder contains unsubscribed
mailboxes, which are not visible in the current mode.

http://git.horde.org/diff.php/imp/lib/Imap/Tree.php?rt=horde-git&r1=6e1c57025b1661dd1a5a0e226241ef0fa2223209&r2=be741280870c216ca0d21e9a262e045b4899c1c5
2010-08-10 21:59:39 Michael Slusarz Priority ⇒ 2. Medium
Milestone ⇒ 5
 
2010-06-04 02:48:05 Michael Slusarz Comment #9
State ⇒ Assigned
Reply to this comment
Finally managed to reproduce.  Got it to break when I dragged a 
mailbox into another mailbox that was empty, but had an unsubscribed 
mailbox underneath it.

The problem is that IMP_Imap_Tree is not catching that the base 
mailbox is "changed", and without informing dimpbase.js that this base 
mailbox is changed it is trying to add a subfolder to an element that 
doesn't exist (the subfolder is normally created by the change action).
2010-05-18 19:36:09 goncalo (dot) queiros (at) portugalmail (dot) net Comment #8 Reply to this comment
Didn't check the message yet, but found the drag & drop folder..
This only happens if the folder you are dragging to is empty..
DimpBase line 2532 
$(this.getSubFolderId(this.getFolderId(ob.pa))).down() is null, 
because there's no sub_fldXXX LI created, thus the .down will throw an 
error.
The LI is created only on page refresh if the folder has any 
childrens..can you confirm that?
2010-05-18 18:26:07 goncalo (dot) queiros (at) portugalmail (dot) net Comment #7 Reply to this comment
Will do. As soon as i know something i let you know

2010-05-18 18:08:18 Michael Slusarz Comment #6 Reply to this comment
I attached an image that can show what i mean about the drag message.
To simulate the other problem, just create two folders on the base 
level, drag one of them inside the other one..now try to open the 
folder
This is exactly what I am doing, and I can't reproduce (tested on FF 
and IE; tested with empty namespace and 'INBOX.' as namespace).  You 
will need to debug the JS code yourself.

2010-05-18 17:42:35 goncalo (dot) queiros (at) portugalmail (dot) net Comment #5
New Attachment: drag.jpg Download
Reply to this comment
I attached an image that can show what i mean about the drag message.
To simulate the other problem, just create two folders on the base 
level, drag one of them inside the other one..now try to open the 
folder (at least here i can't..there's a javascript error 
"doActionComplete  TypeError: 
$(this.getSubFolderId(this.getFolderId(ob.pa))) is null" ...

2010-05-18 17:25:47 Michael Slusarz Comment #4
State ⇒ Feedback
Reply to this comment
Also, dropping a folder A inside folder B will work, but will brake 
the UI since folder B will not show the + sign (nor will be 
expandable)..if the browser is refreshed all is fine, the + sign is 
back and we can expand the B folder and get the A folder out again.
When we are mousing over folder B (while dragging folder A), the 
message is displayed on the wrong place.
Both this behaviors can be observed in any browser.
I don't see this on any browser.

2010-05-18 16:29:42 Jan Schneider Comment #3
Assigned to Michael Slusarz
Taken from Jan Schneider
State ⇒ Assigned
Reply to this comment
Actually only the first part.
2010-05-18 16:29:01 Jan Schneider Comment #2
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Already fixed locally. Will be available with the next push.
2010-05-18 15:12:31 goncalo (dot) queiros (at) portugalmail (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Drag folders is not working on IE
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ Yes
New Attachment: 0001-Don-t-set-zindex-as-NaN-in-IE.patch Download
Reply to this comment
When you try to drag a folder on IE it doesn't work. Discovered that 
its because Imp is setting a zindex of NaN..in firefox it seems to 
convert that zindex to 999 but IE throws an error and nothing is done.
Don't know if the patch is the best way to solve this issue, or if the 
zindex of the element should be setted before reach the line that i 
changed.

Also, dropping a folder A inside folder B will work, but will brake 
the UI since folder B will not show the + sign (nor will be 
expandable)..if the browser is refreshed all is fine, the + sign is 
back and we can expand the B folder and get the A folder out again.
When we are mousing over folder B (while dragging folder A), the 
message is displayed on the wrong place.
Both this behaviors can be observed in any browser.
Sorry for not correcting this.

Saved Queries